> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aviatrix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List SmartGroups

> Retrieve the list of configured SmartGroups



## OpenAPI

````yaml /openapi/10.0/aviatrix-api.json get /v2.5/api/app-domains
openapi: 3.1.0
info:
  title: Aviatrix Controller API
  version: '10.0'
  description: >-
    Aviatrix Controller API — version 10.0. Selected operations with Mintlify
    metadata.
servers: []
security: []
tags:
  - name: policies
    x-group: Policies
  - name: authentication
    x-group: Authentication
  - name: account-management
    x-group: Account Management
  - name: rbac
    x-group: RBAC & Permissions
  - name: gateways
    x-group: Gateways
  - name: transit
    x-group: Transit
  - name: nat
    x-group: NAT
  - name: app-domains
    x-group: SmartGroups
  - name: certificates
    x-group: Certificates
  - name: mitm
    x-group: MITM
  - name: monitoring
    x-group: Monitoring & Diagnostics
  - name: fqdn
    x-group: FQDN
  - name: logging
    x-group: Logging
  - name: vpn
    x-group: UserVPN
  - name: site-to-cloud
    x-group: Site-to-Cloud
  - name: controller
    x-group: Controller
  - name: bgp
    x-group: BGP
  - name: general
    x-group: General
  - name: firenet
    x-group: FireNet
  - name: networking
    x-group: Networking
  - name: tgw
    x-group: AWS TGW
  - name: ips
    x-group: IPS
  - name: saml
    x-group: SAML
paths:
  /v2.5/api/app-domains:
    get:
      tags:
        - app-domains
      operationId: app_domainList
      parameters:
        - name: Authorization
          in: header
          required: true
          description: 'Controller ID in the format: cid <CID>.'
          schema:
            type: string
            example: cid <CID>
            default: cid <CID>
          example: cid <CID>
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppDomainList'
          description: GET operation response
        default:
          $ref: '#/components/responses/general_response_v25'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -sk -X GET "https://<controller>/v2.5/api/app-domains" \
              -H "Authorization: cid <CID>"
        - lang: python
          label: Python
          source: |-
            import requests

            url = "https://<controller>/v2.5/api/app-domains"
            headers = {"Authorization": "cid <CID>"}

            response = requests.get(url, headers=headers)
            print(response.text)
        - lang: go
          label: Go
          source: |-
            package main

            import (
              "fmt"
              "net/http"
            )

            func main() {
              req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/app-domains", nil)
              req.Header.Set("Authorization", "cid <CID>")

              client := &http.Client{}
              resp, err := client.Do(req)
              if err != nil {
                panic(err)
              }
              defer resp.Body.Close()

              fmt.Println(resp.Status)
            }
components:
  schemas:
    AppDomainList:
      description: The AppDomain object list response format.
      example:
        app_domains:
          - desc: desc
            name: name
            selector:
              any:
                - all:
                    key: all
                - all:
                    key: all
            system_resource: true
            uuid: uuid
          - desc: desc
            name: name
            selector:
              any:
                - all:
                    key: all
                - all:
                    key: all
            system_resource: true
            uuid: uuid
      properties:
        app_domains:
          description: List of AppDomain objects.
          items:
            $ref: '#/components/schemas/AppDomain'
          type: array
      required:
        - app_domains
      title: App Domain List
      type: object
    AppDomain:
      example:
        desc: desc
        name: name
        selector:
          any:
            - all:
                key: all
            - all:
                key: all
        system_resource: true
        uuid: uuid
      properties:
        desc:
          title: App Domain Description
          type: string
        metadata:
          $ref: '#/components/schemas/AppDomainMetadata'
        name:
          title: App Domain Name
          type: string
        selector:
          $ref: '#/components/schemas/AppDomainSelector'
        system_resource:
          description: System created app domain. Cannot be deleted or modified.
          readOnly: true
          title: System Resource
          type: boolean
        uuid:
          title: App Domain UUID
          type: string
      required:
        - name
        - selector
        - uuid
      title: App Domain
      type: object
    general_response_v25:
      description: A generic API response container for v2.5 style APIs.
      properties:
        message:
          description: A human-readable message.
          type: string
      title: General Response v2.5
      type: object
    AppDomainMetadata:
      additionalProperties: true
      description: Metadata for the smart group or the DCF rule
      example:
        key1: value1
        key2: value2
      type: object
    AppDomainSelector:
      example:
        any:
          - all:
              key: all
          - all:
              key: all
      properties:
        any:
          items:
            $ref: '#/components/schemas/MatchExpression'
          title: List of Match Expressions
          type: array
      required:
        - any
      title: App Domain Selector
      type: object
    MatchExpression:
      example:
        all:
          key: all
      properties:
        all:
          additionalProperties:
            type: string
          title: Key/Value Pairs to Match
          type: object
      required:
        - all
      title: Match Expression
      type: object
  responses:
    general_response_v25:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/general_response_v25'
      description: General v2.5 API response schema.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.